<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_Trailer_V2 StructType
 * @subpackage Structs
 */
class Update_Trailer_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The TrailerUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleUpdate
     */
    public $TrailerUpdate;
    /**
     * Constructor method for Update_Trailer_V2
     * @uses Update_Trailer_V2::setLogin()
     * @uses Update_Trailer_V2::setTrailerUpdate()
     * @param \StructType\Login $login
     * @param \StructType\VehicleUpdate $trailerUpdate
     */
    public function __construct(\StructType\Login $login = null, \StructType\VehicleUpdate $trailerUpdate = null)
    {
        $this
            ->setLogin($login)
            ->setTrailerUpdate($trailerUpdate);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_Trailer_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get TrailerUpdate value
     * @return \StructType\VehicleUpdate|null
     */
    public function getTrailerUpdate()
    {
        return $this->TrailerUpdate;
    }
    /**
     * Set TrailerUpdate value
     * @param \StructType\VehicleUpdate $trailerUpdate
     * @return \StructType\Update_Trailer_V2
     */
    public function setTrailerUpdate(\StructType\VehicleUpdate $trailerUpdate = null)
    {
        $this->TrailerUpdate = $trailerUpdate;
        return $this;
    }
}
